<?php
/**
 * Theme updater
 *
 * @package Busyness
 */

// Includes the files needed for the theme updater
if ( ! class_exists( 'EDD_Theme_Updater_Admin' ) ) {
	include( dirname( __FILE__ ) . '/theme-updater-admin.php' );
}


$theme = wp_get_theme( get_template() );

// Loads the updater classes
$updater = new EDD_Theme_Updater_Admin(

	// Config settings
	$config = array(
		'remote_api_url' => 'https://themepalace.com', // Site where EDD is hosted
		'item_name'      => $theme->get( 'Name' ), // Name of theme
		'theme_slug'     => $theme->get( 'TextDomain' ), // Theme slug
		'version'        => $theme->get( 'Version' ), // The current version of this theme
		'author'         => $theme->get( 'Author' ), // The author of this theme
		'download_id'    => '', // Optional, used for generating a license renewal link
		'renew_url'      => 'https://themepalace.com/my-account' // Optional, allows for a custom license renewal link
	),

	// Strings
	$strings = array(
		'theme-license'             => __( 'Theme License', 'busyness-pro' ),
		'enter-key'                 => __( 'Enter your theme license key.', 'busyness-pro' ),
		'license-key'               => __( 'License Key', 'busyness-pro' ),
		'license-action'            => __( 'License Action', 'busyness-pro' ),
		'deactivate-license'        => __( 'Deactivate License', 'busyness-pro' ),
		'activate-license'          => __( 'Activate License', 'busyness-pro' ),
		'status-unknown'            => __( 'License status is unknown.', 'busyness-pro' ),
		'renew'                     => __( 'Renew?', 'busyness-pro' ),
		'unlimited'                 => __( 'unlimited', 'busyness-pro' ),
		'license-key-is-active'     => __( 'License key is active.', 'busyness-pro' ),
		'expires%s'                 => __( 'Expires %s.', 'busyness-pro' ),
		'%1$s/%2$-sites'            => __( 'You have %1$s / %2$s sites activated.', 'busyness-pro' ),
		'license-key-expired-%s'    => __( 'License key expired %s.', 'busyness-pro' ),
		'license-key-expired'       => __( 'License key has expired.', 'busyness-pro' ),
		'license-keys-do-not-match' => __( 'License keys do not match.', 'busyness-pro' ),
		'license-is-inactive'       => __( 'License is inactive.', 'busyness-pro' ),
		'license-key-is-disabled'   => __( 'License key is disabled.', 'busyness-pro' ),
		'site-is-inactive'          => __( 'Site is inactive.', 'busyness-pro' ),
		'license-status-unknown'    => __( 'License status is unknown.', 'busyness-pro' ),
		'update-notice'             => __( "Updating this theme will lose any customizations you have made. 'Cancel' to stop, 'OK' to update.", 'busyness-pro' ),
		'update-available'          => __('<strong>%1$s %2$s</strong> is available. <a href="%3$s" class="thickbox" title="%4$s">Check out what\'s new</a> or <a href="%5$s"%6$s>update now</a>.', 'busyness-pro' ),
		'key-not-activated'         => __( '%1$s License Key has not been activated, so the theme is inactive. %2$sClick here%3$s to activate the license key and the theme.', 'busyness-pro' ),
		'get-license-key'           => __( 'Get API key from %s.', 'busyness-pro' ),
		'theme-palace'              => __( 'Theme Palace', 'busyness-pro' ),
	)

);
